<?php
	require_once 'conexion.php';

	class UsuarioModelo{
    	
    	/*static public function mdlValidaUsuario($user, $pass){

    		$stmt= Conexion::conectar()->prepare('CALL sp_validarUsuario(:USER, :PASS)');
    		$stmt->bindParam(":USER", $user, PDO::PARAM_STR);
    		$stmt->bindParam(":PASS", $pass, PDO::PARAM_STR);
    		

            if ($stmt -> execute()){
            	// return $stmt->fetch();
                $resultado = $stmt->fetch();//'ok';
            }else{
               $resultado = 'Error';
            }
   		
   		    $stmt = null;
        	return $resultado;   	
    	}*/
    	
		static public function mdlValidaUsuario($user,$pass){
			//$sql = "call sp_validarUsuario('$usuario','$pass')";
			$stmt= Conexion::conectar()->prepare('CALL sp_validarUsuario(:USER, :PASS)');
			
    		$stmt->bindParam(":USER", $user, PDO::PARAM_STR);
    		$stmt->bindParam(":PASS", $pass, PDO::PARAM_STR);
    		
			//Conexion::conectar()->prepare($sql);
			
			$arreglo = array();
			//if ($consulta = $this->conexion->conexion->query($sql)) {
			if ($stmt -> execute()){
				$arreglo[] =$stmt->fetchAll();// $consulta_VU;
			}else{
				$arreglo ='0';
			}
				return $arreglo;
				$stmt = null;//$this->conexion->cerrar();	
			
		}
    }